Description

This one is really bugging me... I want to provision a host with 3 NICs. Their order is important (in-house ISO). The NIC that is

actually connected to the right switch is second/third (depending on the ISO type). If I set this interface (2nd/3rd) as provision and

primary the PXE boot fails with PXE-EC8 and PXE-M0F errors (!PXE structure was not found in UNDI... Exiting Intel PXE ROM). If I

remove all the other interfaces and leave only the right one everything is fine.

I tried both using REST API and manually creating the host in GUI with same errors.

Any input would be greatly appreciated.

Thanks

History

#1 - 04/06/2016 03:05 AM - Marek Hulán

- Category set to Network

#2 - 04/06/2016 03:06 AM - Marek Hulán

- Category changed from Network to TFTP

#3 - 04/06/2016 04:06 AM - Dominic Cleal

- Status changed from New to Need more information

I'm not sure I see what's relevant to Foreman here.  Is this an issue with the PXE ROM, or the boot order set in your BIOS?

#4 - 04/06/2016 09:40 AM - Adrianus G

Dominic Cleal wrote:

I'm not sure I see what's relevant to Foreman here.  Is this an issue with the PXE ROM, or the boot order set in your BIOS?

 I'm automatically creating hosts through the REST API so I cannot change the BIOS settings. Can you give me some pointers how to check if there is

a PXE ROM prob?

#5 - 04/06/2016 09:49 AM - Dominic Cleal

- Status changed from Need more information to Feedback

Not really, but you're describing messages that sound like they're from your server's PXE stack, not Foreman.  It might be that booting from the first

interface prevents those errors, perhaps because it only boots from the first, but hard to say.

I think you need to check how your server BIOSes are configured and ensure they will PXE boot from all interfaces or raise the PXE problems you're

getting with your hardware vendor.  Foreman doesn't contain anything to configure BIOSes.

#6 - 04/06/2016 10:37 AM - Adrianus G

Dominic Cleal wrote:

Not really, but you're describing messages that sound like they're from your server's PXE stack, not Foreman.  It might be that booting from the

first interface prevents those errors, perhaps because it only boots from the first, but hard to say.
I think you need to check how your server BIOSes are configured and ensure they will PXE boot from all interfaces or raise the PXE problems

you're getting with your hardware vendor.  Foreman doesn't contain anything to configure BIOSes.

 Hey Dominic

In BIOS the NICs are set last, by default, and the one that I want to use is not the first NIC in the list

There are instances in which this works:

1. the first interfaces have no connection to the DHCP server.

2. the first interface has connection to the DHCP server and I configure it as provision/primary.

So my question is why if the first interface is not set as primary (only provision) the machine cannot boot from PXE?

I think I forgot to mention that I'm provisioning on vsphere so only virtual machines (they are created from scratch each time)

#7 - 04/06/2016 10:51 AM - Dominic Cleal

- Category changed from TFTP to Compute resources - VMware

- Status changed from Feedback to New

Yes, that was important information.  I'll reopen it and file under the VMware category, as perhaps there's some configuration that's possible to add to

the VM about which network interface it PXE boots from, beyond the change in #5510.  It might also be possible to reorder the interfaces on VM

creation to workaround PXE boot problems.

DHCP/TFTP or on-screen logs may give you more information about whether it's correctly trying all interfaces before failing, or if it fails to configure

the first and so fails.  You may need to take it up with VMware if the latter.

#8 - 04/07/2016 05:05 AM - Adrianus G

Dominic Cleal wrote:

Yes, that was important information.  I'll reopen it and file under the VMware category, as perhaps there's some configuration that's possible to

add to the VM about which network interface it PXE boots from, beyond the change in #5510.  It might also be possible to reorder the interfaces

on VM creation to workaround PXE boot problems.

DHCP/TFTP or on-screen logs may give you more information about whether it's correctly trying all interfaces before failing, or if it fails to

configure the first and so fails.  You may need to take it up with VMware if the latter.

 Thanks Dominic. So far the IT team didn't find a solution

#9 - 06/10/2016 03:52 PM - Anonymous

what's the status here?

#10 - 06/11/2016 06:01 AM - Adrianus G

Michael Moll wrote:

what's the status here?

 The same, I'm unable to provision from the second NIC due to the same PXE errors. As a workaround I'm using the first NIC and perform some

manipulation to he output to show the right IPs
